<?php

namespace Litecms\FaqCategory\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FaqCategoriesTransformer extends TransformerAbstract
{
    public function transform(\Litecms\FaqCategory\Models\FaqCategories $faq_categories)
    {
        return [
            'id'                => $faq_categories->getRouteKey(),
            'key'               => [
                'public'    => $faq_categories->getPublicKey(),
                'route'     => $faq_categories->getRouteKey(),
            ], 
            'faq_categories_name' => $faq_categories->faq_categories_name,
            'url'               => [
                'public'    => trans_url('faq_category/'.$faq_categories->getPublicKey()),
                'user'      => guard_url('faq_category/faq_categories/'.$faq_categories->getRouteKey()),
            ], 
            'status'            => trans('app.'.$faq_categories->status),
            'created_at'        => format_date($faq_categories->created_at),
            'updated_at'        => format_date($faq_categories->updated_at),
        ];
    }
}